<?php 
require_once '../../../Clases/Venta.php';
require_once '../../../Clases/Imprimir.php';
session_start();

$carrito = $_SESSION["carrito"];
$totaldolar = $_SESSION["totaldolar"];
$cliente = $_SESSION["cliente"];
$vendedor =  $_SESSION["iduser"];
$fac = $_POST['connWithNumber'];
$cl = $_POST['cedulaf'];



$d = new ventas();

$d->crearVenta($carrito, $totaldolar, $cliente, $vendedor);

$imprimir = new imprimir();
$urlDelPDF = $imprimir->generarPDF($cl, $fac);

// Luego, puedes almacenar la URL del PDF en una variable de sesión para recuperarla después de la redirección
$_SESSION["urlDelPDF"] = $urlDelPDF;

// Remover el carrito de compra y el total
unset($_SESSION["carrito"]);
unset($_SESSION["total"]);
unset($_SESSION["cliente"]);

// Redirigir hacia el index
header("Location: ../../ventas.php?m=3");
?>
     
